AdiumX 1.0 & Yahoo problem

Tags: 

There's a small problem with the just-release AdiumX v1.0 and Yahoo Instant Messenger (Y!IM) accounts if you were using any of the beta releases. For whatever reason, something changed in the Y!IM configuration and the only way to get your connection to work is to remove it then add the login back in again. Go figure. Still, a minor quibble when the rest of the program works so well.

Site updated to Wordpress 2.1

Tags: 

I've just updated the site to Wordpress 2.1. This new version has a few improvements from the site management viewpoint, a key useful feature is an option to set any static page you've created as the homepage rather than automatically showing the blog. Also, the content editor has a few improvements, a good one being an auto-save option that stops you from loosing your articles if your browser crashes (or you hit the wrong keyboard shortcut, argh), along with an improved text editor. All round good stuff.

Why the mandatory IE7 upgrade was a bad idea

Tags: 

For anyone who keeps their Windows XP machine set to automatically install updates, a few weeks ago they would have been surprised to see their Internet Explorer look different. The reason for this was that Microsoft set their new web browser, IE7, to be pushed out via Windows Update as a security fix / upgrade, which meant for anyone with their updates set to automatic that it happened without their knowledge. For many people this will be a welcome improvement - there's no denying that IE7 is better than IE6, but there are problems with the new browser that haven't been publicised very much and people are experiencing problems.

A telling article from Microsoft Watch details how many people have no trouble at all but others discover that many applications they've bought stop working. A good example of the conflict is intimated by "Rick Kuhn, an IT Specialist based in Indianapolis," where he doesn't have any "bloatware or crapware, only brand name vendors for software and hardware," which sounds great except that earlier on you discover that a recent version of the most popular CD/DVD burning software, Roxio Easy Media Creator, stopped working upon installing the update. While another person recommented to "do some research in regards to application compatibility before upgrading from IE 6 to IE 7," how much research is the average person going to be in able to do when the upgrade was forced upon them and only discovered the incompatibility afterwards?

In short, if your software is ubiqitous to the point that a large portion of 3rd party software requires it, and your new version is known to be incompatible with much of this software, don't force the upgrade on the masses - it's just common sense!

Subversion's one problem

Tags: 

I've used the document revision management system Subversion for a few years now and find it to be an excellent tool that has never given me any problems. Until this week, that is. I was helping to set it up on a web server that has Fedora Core 4 as its OS - we wanted to have a central code repository for the various projects we worked on and it was a logical step to place it there. Well, I started searching around for an installer for the latest Subversion release (v1.4.2) that was compatible with FC4 only to discover that there wasn't one! It seems that during the v1.4 development cycle they updated one of their code's dependencies (libapr) to a newer version than is compatible with FC4, you need to have FC5 or newer to be able to install it without any hickups. So, rather than asking the server's service provider to upgrade to a newer OS I'm going to see if there's a way to hack the code to make it install with the older version - wish me luck!

Pages

Subscribe to Front page feed